summaryrefslogtreecommitdiff
path: root/.local/bin/st-copyout
diff options
context:
space:
mode:
authorSaumit Dinesan <justsaumit@protonmail.com>2022-11-30 16:18:18 +0530
committerSaumit Dinesan <justsaumit@protonmail.com>2022-11-30 16:18:18 +0530
commit7e19ac71731340dda02ffedde8b2f7cce5ecf73e (patch)
treec8595f1448c8c8d9d0f7b12fd89a09d82857129e /.local/bin/st-copyout
parent92e4a6e8610c49b500935ee23a4a6256b55b44a5 (diff)
st ext-pipe scripts
Diffstat (limited to '.local/bin/st-copyout')
-rwxr-xr-x.local/bin/st-copyout9
1 files changed, 9 insertions, 0 deletions
diff --git a/.local/bin/st-copyout b/.local/bin/st-copyout
new file mode 100755
index 0000000..50e0531
--- /dev/null
+++ b/.local/bin/st-copyout
@@ -0,0 +1,9 @@
+#!/bin/sh
+tmpfile=$(mktemp /tmp/st-cmd-output.XXXXXX)
+trap 'rm "$tmpfile"' 0 1 15
+sed -n "w $tmpfile"
+sed -i 's/\x0//g' "$tmpfile"
+ps1="$(grep "\S" "$tmpfile" | tail -n 1 | sed 's/^\s*//' | cut -d' ' -f1)"
+chosen="$(grep -F "$ps1" "$tmpfile" | sed '$ d' | tac | dmenu -p "Copy which command's output?" -i -l 10 | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+eps1="$(echo "$ps1" | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+awk "/^$chosen$/{p=1;print;next} p&&/$eps1/{p=0};p" "$tmpfile" | xclip -sel c